<?php

/** @var \Illuminate\Database\Eloquent\Factory $factory */

use Faker\Generator as Faker;

$factory->define(\App\Reservation::class, function (Faker $faker) {

    return [
        're_status' => $faker->randomElement(['confirmed', 'confirmed', 'finished','waiting_for_pay']),
        're_days' => [
            date('Y-m-d', strtotime('1 day', time())),
            date('Y-m-d', strtotime('2 day', time())),
            date('Y-m-d', strtotime('3 day', time())),
            date('Y-m-d', strtotime('4 day', time())),
            date('Y-m-d', strtotime('5 day', time())),
            date('Y-m-d', strtotime('6 day', time())),
        ],
        're_date_from' =>  date('Y-m-d', strtotime('1 day', time())),
        're_date_to' =>  date('Y-m-d', strtotime('6 day', time())),
        'services' => [3,6],
        'added_services' => [1,2,null],
        'person_count' => 10,
        'total' => $faker->randomNumber(4),
        'added_value_amount' => $faker->randomNumber(2),
        'occasion_id' => $faker->randomElement(\App\Occasion::pluck('id')->toArray()),
    ];
});
